import java.util.Scanner;

public class PrimeApp {
	public static void main(String[] args) {
		int value;
		Scanner scan = new Scanner(System.in);

		System.out.println("Enter a value to validate: ");
		value = scan.nextInt();

		if(isPrime(value)) {
			System.out.println(value + " is prime");
		} else {	
			System.out.println(value + " is not prime");
		}
	}

	private static boolean isPrime(int val) {
		if(val <= 1) return false;

		if(val == 2) return true;
		
		int upper = (int) Math.sqrt(val);
		for(int div = 2; div <= upper; div++) {
			if(val % div == 0) return false;
		}

		return true;

	}
}